<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">

	<bean id="mysqlSessionFactory" class="org.mybatis.spring.SqlSessionFactoryBean">
		<property name="dataSource" ref="dataSource" />
		<property name="typeAliasesPackage" value="mhp.oee.po.gen" />
		<property name="mapperLocations">
			<array>
				<value>classpath:config/sqlmap/gen/mysql/*.xml</value>
				<value>classpath:config/sqlmap/extend/mysql/*.xml</value>
			</array>
		</property>
	</bean>

	<bean id="hanaSessionFactory" class="org.mybatis.spring.SqlSessionFactoryBean">
		<property name="dataSource" ref="dataSource" />
		<property name="typeAliasesPackage" value="mhp.oee.po.gen" />
		<property name="mapperLocations">
			<array>
				<value>classpath:config/sqlmap/gen/hana/*.xml</value>
				<value>classpath:config/sqlmap/extend/hana/*.xml</value>
			</array>
		</property>
	</bean>

	<bean class="org.mybatis.spring.mapper.MapperScannerConfigurer">
		<property name="basePackage" value="mhp.oee.dao,mhp.oee.dao.gen" />
		<property name="sqlSessionFactoryBeanName" value="${db.name}" />
	</bean>

</beans>